%define upstream_name Horde_Mime
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.4.0
Release:     	%mkrel 1
Summary:    	Horde MIME Library
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Mail <= 2.0.0
Requires:  	php-pear-Horde_Stream_Filter <= 2.0.0 
Requires:  	php-pear-Horde_Support <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Mail = 2.0.0
Conflicts:  	php-pear-Horde_Stream_Filter = 2.0.0
Conflicts:  	php-pear-Horde_Support = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Mime = %{version}
Obsoletes:	horde-mime

%description
Provides methods for dealing with MIME (RFC 2045) and related e-mail (RFC
822/2822/5322) standards.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Mime.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Mime.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Mime
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Mime/COPYING
%{peardir}/*
%{xmldir}/Horde_Mime.xml


%changelog

* Fri Dec 23 2011 spuhler <spuhler> 1.4.0-1.mga2
+ Revision: 186327
- upgrade to 1.4.0

* Fri Dec 02 2011 spuhler <spuhler> 1.3.2-1.mga2
+ Revision: 175045
- upgrade to 1.3.2

* Mon Nov 28 2011 spuhler <spuhler> 1.3.1-1.mga2
+ Revision: 173366
- upgrade to 1.3.1

* Sun Nov 13 2011 spuhler <spuhler> 1.3.0-1.mga2
+ Revision: 167313
- upgrade to 1.3.0

* Mon Nov 07 2011 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 164622
- upgrade to 1.2.1
- put accidentally deleted rel 2 back
- change ) to correct } in provides
- changed Provides: php-pear-Horde_Mime to Provides: php-pear-Horde_Mime = %%{version)
- imported package php-pear-Horde_Mime

